BEGIN {
  # simple awk script to generate Jain's Fairness Index
  # based on file containing throughput numbers
  # Arne Lie, NTNU 2007
  # http://www.item.ntnu.no/~arnelie
  
  # INPUT PARAMS:
  # none
  i = 0;
  sumN = 0;
}
	 
{
  x[i] = $1;
  sumN = sumN + x[i];
  sumD = sumD + x[i]*x[i];
  i=i+1;
}

# End up with printing out the results	
END {
  nom = sumN * sumN;
  den = i * sumD;
  jain = nom/den;
  printf("Jain's Fairness Index = %f\n", jain);
}
