#!/bin/bash
# This script is for generating PSNR values when having PlayOut TIME constraint
#
# Input parameters:
# $1 = base name (to be used for m4v assembled file, decoded and fixed decoded file)
# $2 = PoB time (ms)
et_ra sd_be_0 rd_be_0 st_concatenated.yuv_Q2.txt video2.dat concatenated.yuv_Q 2 31 frame_size.dat $1.m4v 01 $2

#MP4box -fps 30 -add $1.m4v $1.mp4
mp4creator60 -r 30 -c $1.m4v $1.mp4
rm $1.m4v
ffmpeg -i $1.mp4 $1.yuv
rm $1.mp4
fixyuv sd_be_0 rd_be_0 new_st.txt $1.yuv $1_PoB$2.yuv $2
rm $1.yuv
# The following assumed that folder psnr2mos already exists
psnr 352 288 420 concatenated.yuv $1_PoB$2.yuv > psnr2mos/psnr_$1_PoB$2.txt
#rm $1_PoB$2.yuv
# Second argument to mos.exe is a psnr reference file that is used by the miv.exe program.
# mos <dir> <ref> [iv]
#  dir           directory with psnr*.txt files
#  ref           reference psnr file
#  iv            optional nr. of frames in interval
mos psnr2mos psnr_single_ref_1e6_PoD1000.txt 25
#miv <dir>
#  dir           directory with miv*.txt files
miv psnr2mos