/*
 * simu_trace.cc
 *
 *  Created on: Feb 7, 2009
 *      Author: Georgios Kioumourtzis
 */



#include <iostream>
using namespace std;

#include "trace_file.h"

using namespace std;
class TraceFile;

int main(int argc, char *argv[]) {
	TraceFile* tr;
	FILE *sd0, *sd1, *sd2;
	FILE *rd;
	if (argc != 5) {
		printf("check input files and try again\n");
		exit(1);
	}

	if ((sd0 = fopen(argv[1], "r")) == NULL) {
		printf("can't open file %s\n", argv[1]);
		return EXIT_FAILURE;
	}
	if ((sd1 = fopen(argv[2], "r")) == NULL) {
		printf("can't open file %s\n", argv[2]);
		return EXIT_FAILURE;
	}
	if ((sd2 = fopen(argv[3], "r")) == NULL) {
		printf("can't open file %s\n", argv[3]);
		return EXIT_FAILURE;
	}
	if ((rd = fopen(argv[4], "r")) == NULL) {
		printf("can't open file %s\n", argv[4]);
		return EXIT_FAILURE;
	}

	tr->read_sd(0,sd0);
	tr->read_sd(1,sd1);
	tr->read_sd(2,sd2);
	tr->read_rd(rd);
	tr->start();


	return EXIT_SUCCESS;

}

